class PaperCriteria
  include Mongoid::Document
  include Mongoid::Timestamps
  include Slug  

  field :title,as: :slug_title, localize: true
  field :description, localize: true
  field :start_date, type: DateTime
  field :end_date, type: DateTime
  field :sending_time, type: DateTime
  field :sending_title, localize: true
  field :sending_notes
  field :language_to_send, type: Array, :default => ["en","zh_tw"]
  field :receivers, type: Array, :default => ["subscriber"]
  field :other_emails


  def epaper_topics
    EPaperTopic.where(:period.gte => self.start_date, :period.lte => self.end_date).can_display
  end

  def other_emails_ids
    if !self.other_emails.nil?
      return self.other_emails.split(",")
    else
      return []
    end
  end
  
end